=== debian/control ===
Source: subunit
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Uploaders: Robert Collins <robertc@robertcollins.net>
Build-Depends: debhelper (>= 7.0.50~),
    python-dev (>= 2.6.6-3),
    python-all-dev (>= 2.6.6-3),
    autoconf (>= 2.59),
    automake,
    libtool,
    pkg-config,
    check,
    python-testtools (>= 0.9.4),
    libcppunit-dev
Build-Depends-Indep: perl
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/collab-maint/subunit/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/subunit/unstable
Homepage: http://code.launchpad.net/subunit

Package: subunit
Architecture: all
Depends: python-subunit (>= ${source:Version}), ${perl:Depends},
    libsubunit-perl (>= ${source:Version}), ${misc:Depends}, ${python:Depends}, python
Recommends: python-gtk2, python-junitxml
Description: command line tools for processing Subunit streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The subunit package includes the subunit command line tools:
 subunit-diff, subunit-filter subunit-stats tap2subunit subunit2pyunit
 subunit-ls subunit-tags, subunit2gtk

Package: libsubunit-perl
Architecture: all
Provides: libsubunit-diff-perl
Depends: ${misc:Depends}, ${perl:Depends}
Section: perl
Description: perl parser and diff for Subunit streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The libsubunit-perl package contains the Perl language support for Subunit.

Package: python-subunit
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends},
    python-testtools (>= 0.9.4)
Section: python
Breaks: ${python:Breaks}
Description: unit testing protocol - Python bindings to generate and consume Subunit streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The python-subunit package includes the Python language bindings.

Package: libsubunit0
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit testing protocol - C/C++ shared library
 subunit is a protocol for test activity reporting. This permits executing 
 tests remotely, or saving the result of test runs for later introspection.
 .
 The libsubunit0 package contains the C shared library.

Package: libsubunit-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsubunit0 (=${binary:Version})
Description: Unit testing protocol - Development headers and static library for libsubunit
 subunit is a protocol for test activity reporting. This permits executing 
 tests remotely, or saving the result of test runs for later introspection.
 .
 The libsubunit-dev package contains the C development headers,
 pkgconfig data file and a static version of the library.

Package: libcppunit-subunit0
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SubunitTestProgressListener for CPPUnit - C++ shared library
 subunit is a protocol for test activity reporting. The
 SubunitTestProgressListener permits outputting Subunit from a CPPUnit test
 suite.

Package: libcppunit-subunit-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libcppunit-subunit0 (=${binary:Version})
Description: SubunitTestProgressListener for CPPUnit - Development headers
 subunit is a protocol for test activity reporting. The
 SubunitTestProgressListener permits outputting Subunit from  a CPPUnit test
 suite.
 .
 The libcppunit-subunit-dev package contains the C++ development headers,
 pkgconfig data file and a static version of the library.
