## subunit 0.0.7

=== debian/changelog ===
subunit (0.0.7-1build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:29:31 -0700

subunit (0.0.7-1) unstable; urgency=low

  * New upstream release.
  * Add support for multi-arch.
   + Switch to debhelper >= 8.1.3, compat level 9.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 31 Oct 2011 02:02:11 -0700
