=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Uploaders: Robert Collins <robertc@robertcollins.net>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.1.3~),
     python-dev (>= 2.6.6-3),
     python-all-dev (>= 2.6.6-3),
     autoconf (>= 2.59),
@@ -52,7 +52,6 @@
 Depends: ${python:Depends}, ${misc:Depends},
     python-testtools (>= 0.9.4)
 Section: python
-Breaks: ${python:Breaks}
 Description: unit testing protocol - Python bindings to generate and consume Subunit streams
  subunit is a protocol for test activity serialisation deserialisation. This
  permits executing tests remotely, or saving the result of test runs for later
@@ -61,8 +60,9 @@
  The python-subunit package includes the Python language bindings.
 
 Package: libsubunit0
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Architecture: any
-Provides: ${python:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Unit testing protocol - C/C++ shared library
  subunit is a protocol for test activity reporting. This permits executing 
@@ -82,8 +82,9 @@
  pkgconfig data file and a static version of the library.
 
 Package: libcppunit-subunit0
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Architecture: any
-Provides: ${python:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: SubunitTestProgressListener for CPPUnit - C++ shared library
  subunit is a protocol for test activity reporting. The
