=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Get the default Python version
 PYVERSION = $(shell pyversions -d -v)
 
-export INSTALLDIRS=vendor 
+export INSTALLDIRS=vendor
 
 override_dh_auto_configure:
 	[ -f configure ] || autoreconf -fi
@@ -23,4 +23,4 @@
 	mv debian/tmp/usr/lib/perl5 debian/tmp/usr/share/perl5
 
 %:
-	dh --with python2 $*
+	dh $* --with python2
