## subunit 0.0.8+bzr176

=== debian/changelog ===
subunit (0.0.8+bzr176-1ubuntu4) raring; urgency=low

  * Added python3-subunit as a dependency for subunit (LP: #1096979).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 07 Jan 2013 11:48:37 -0700

subunit (0.0.8+bzr176-1ubuntu3) raring; urgency=low

  * Fix shebangs. Not all scripts are ported to python3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 06 Nov 2012 15:40:34 +0000

subunit (0.0.8+bzr176-1ubuntu2) raring; urgency=low

  * Sort remaining iterators over dictionary keys.
  * Execute python test-suite multiple times with different hash seeds.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 31 Oct 2012 10:21:52 +0100

subunit (0.0.8+bzr176-1ubuntu1) raring; urgency=low

  * Use OrderedDict in test-suite to prevent hash randomisation failing
    test suites. (LP: #1025392)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 27 Oct 2012 13:17:22 +0100

subunit (0.0.8+bzr176-1build1) raring; urgency=low

  * Rebuild against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Oct 2012 18:56:25 +0100

subunit (0.0.8+bzr176-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix dependencies for python3-subunit to depend on python3 rather than
    python2. Closes: #674225

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 May 2012 10:42:37 +0200

subunit (0.0.8+bzr175-1) unstable; urgency=low

  * Fix path for iso8501 in copyright file.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 09 May 2012 11:39:10 +0200

subunit (0.0.7+bzr162-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with current versions of testtools. Closes: #669491
  * Support installation for multiple python versions.
  * Include egg-info for python-subunit. LP: #893620
  * Add python3-subunit package.
  * Bump standards version to 3.9.3 (no changes).
  * Use machine parseable format for copyright file.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Apr 2012 21:44:01 +0200
