=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: subunit
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Uploaders: Robert Collins <robertc@robertcollins.net>
-Build-Depends: debhelper (>= 8.1.3~),
+Build-Depends: debhelper (>= 9),
     python-dev (>= 2.6.6-3),
     python-all-dev (>= 2.6.6-3),
+    python3-all-dev,
     autoconf (>= 2.59),
     automake,
+    dh-autoreconf,
     libtool,
     pkg-config,
     check,
-    python-testtools (>= 0.9.4),
+    python-testtools (>= 0.9.11),
+    python3-testtools,
+    python-setuptools,
     libcppunit-dev
 Build-Depends-Indep: perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Vcs-Bzr: http://bzr.debian.org/collab-maint/subunit/unstable
 Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/subunit/unstable
@@ -22,8 +27,9 @@
 
 Package: subunit
 Architecture: all
-Depends: python-subunit (>= ${source:Version}), ${perl:Depends},
-    libsubunit-perl (>= ${source:Version}), ${misc:Depends}, ${python:Depends}, python
+Depends: python3-subunit (>= ${source:Version}), python-subunit (>= ${source:Version}),
+    ${perl:Depends}, libsubunit-perl (>= ${source:Version}), ${misc:Depends}, ${python:Depends},
+    python
 Recommends: python-gtk2, python-junitxml
 Description: command line tools for processing Subunit streams
  subunit is a protocol for test activity serialisation deserialisation. This
@@ -52,12 +58,25 @@
 Depends: ${python:Depends}, ${misc:Depends},
     python-testtools (>= 0.9.4)
 Section: python
-Description: unit testing protocol - Python bindings to generate and consume Subunit streams
+Description: unit testing protocol - Python bindings to generate and consume streams
  subunit is a protocol for test activity serialisation deserialisation. This
  permits executing tests remotely, or saving the result of test runs for later
  introspection.
  .
  The python-subunit package includes the Python language bindings.
+
+Package: python3-subunit
+Architecture: all
+Provides: ${python3:Provides}
+Depends: ${python3:Depends}, ${misc:Depends},
+    python3-testtools (>= 0.9.4)
+Section: python
+Description: unit testing protocol - Python3 bindings to generate and consume streams
+ subunit is a protocol for test activity serialisation deserialisation. This
+ permits executing tests remotely, or saving the result of test runs for later
+ introspection.
+ .
+ The python3-subunit package includes the Python version 3 language bindings.
 
 Package: libsubunit0
 Pre-Depends: ${misc:Pre-Depends}
