=== debian/rules ===
#!/usr/bin/make -f

# Get the supported Python versions
PYVERS = $(shell pyversions -vr)
PY3VERS = $(shell py3versions -vr)

export INSTALLDIRS=vendor

override_dh_auto_configure:
	[ -f configure ] || dh_autoreconf
	dh_auto_configure

override_dh_auto_clean:
	$(MAKE) distclean || true
	find . -name '*.pyc' -delete
	find . -name '__pycache__' -delete 
	rm -rf build
	dh_autoreconf_clean
	rm -f configure

override_dh_auto_test:
	dh_auto_test
	set -ex; for i in random `seq 10`; do \
            for vers in $(PY3VERS); do \
		SHELL_SHARE='./shell/share/' PYTHONPATH=./python${PYTHONPATH:+:$PYTHONPATH} PYTHONHASHSEED=$$i python$$vers runtests.py; \
	    done; \
	done

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	find debian/tmp/ -name "*.pyc" | xargs rm -f
	find debian/tmp/ -name "*.pyo" | xargs rm -f
	mkdir debian/tmp/usr/share
	mv debian/tmp/usr/lib/perl5 debian/tmp/usr/share/perl5
	for vers in $(PY3VERS); do \
		python$$vers setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp; \
	done
	for vers in $(PYVERS); do \
		python$$vers setup.py install --install-layout=deb --single-version-externally-managed --root=$(CURDIR)/debian/tmp; \
	done

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

%:
	dh $* --with python2,python3
