## subunit 0.0.12

=== debian/changelog ===
subunit (0.0.12-0ubuntu1~cloud0) precise-havana; urgency=low

  * New upstream release for the Ubuntu Cloud Archive:
    - debian/rules: Remove shebang to allow backporting to precise. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 11 Jun 2013 07:58:31 -0500

subunit (0.0.12-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-shebang.patch: Dropped no longer needed.
  * debian/patches/fix-ftbfs-python3.3.patch: Dropped no longer needed. 
  * debian/rules, debian/patches/01_ar.patch: Use autoreconf.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 04 Jun 2013 12:20:19 -0500
