## subunit 0.0.18

=== debian/changelog ===
subunit (0.0.18-4) unstable; urgency=medium

  * control: Fix a minor typo in my name
  * Fix the clean target to be sure we can can do two build in a raw
  * Adjust arch all in build-indep target (Closes: #743717)
   - thanks Ivo De Decker

 -- Gonéri Le Bouder <goneri@debian.org>  Sun, 20 Apr 2014 15:22:43 +0200

subunit (0.0.18-3) unstable; urgency=medium

  * Rebuilt with up-to-date env (Closes: #743717).

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Apr 2014 15:47:25 +0000

subunit (0.0.18-2) unstable; urgency=medium

  * Ensure we have the correct shebang in the subunit deb. (Closes: #743442)

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Mar 2014 19:47:03 +0800

subunit (0.0.18-1) unstable; urgency=medium

  [ James Page ]
  * d/rules: Avoid dh_python3 processing of subunit package so that shebangs
    don't get incorrectly changed to python3 versions.

  [ Thomas Goirand ]
  * Switches the package to the OpenStack PKG team, with previous agreement
    from Robert Collins (updated Uploaders, Maintainers, and VCS fields).
  * Adds python-testscenarios & python3-testscenarios as build-depends.
  * Removed explicit Depends: python in the subunit package, and leave this to
    dh_python2 to do its work.
  * debian/rules: Removed clean of .pyc, .pyo and __pycache__, since
    dh_python{2,3} does it all automatically.
  * Fixed debian/rules to use dh $@ and not dh $*, which was weird to me!
  * debian/rules: Added missing set -e in for loops.
  * Removed obsolete X-Python-Version: >= 2.4.
  * Standards-Version: is now 3.9.5.
  * Ran wrap-and-sort.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options.
  * Imported from Ubuntu package:
    - debian/rules: Remove moving around of Perl modules, upstream build system
    DTRT now.
    - debian/libsubunit-perl.install: Install Perl module directly from source
    tree, the upstream build system forgets to install it with separate build
    trees.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Feb 2014 17:39:22 +0800

subunit (0.0.15-2) unstable; urgency=low

  * Remove extra 'done' in debian/rules. Closes: #725635

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 16 Oct 2013 23:05:55 -0700

subunit (0.0.15-1) unstable; urgency=low

  [ Jelmer Vernooij]
  * Use dh-autoreconf.

  [ Scott Kitterman ]
  * Switch python{3}-all-dev build-depends to python{3}-all because there
    is no architecture specific python{3} content in the package.
    Closes: #709540
  * Drop unneeded python{3}:Provides - not generally useful and specifically
    not appropriate for arch all packages

  [ Jelmer Vernooij ]
  * Drop unnecessary dependency on python-dev.
  * New upstream release.
  * Bump standards version to 3.9.4 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Sep 2013 21:14:31 +0100

subunit (0.0.10-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 07:57:41 +0000

subunit (0.0.10-1) experimental; urgency=low

  * Non-maintainer upload, with authorization from Robert Collins.
  * New upstream release (Closes: #701226).
  * Removed now useless FTBFS patch.
  * Allows the unit tests to fail (because they do).
  * Deletes correctly the python_subunit.egg-info, build folders, also use a
    backup folder of upstream files which are generated on-the-fly (config.*,
    .m4 files, Makefile and the like...).

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Feb 2013 07:08:17 +0000

subunit (0.0.8+bzr176-2) experimental; urgency=low

  [ Dmitrijs Ledkovs ]
  * Sort remaining iterators over dictionary keys.
  * Run Python tests with all supported Python versions.
  * Use OrderedDict in test-suite to prevent hash randomisation failing
    test suites. LP: #1025392, Closes: #692378

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 May 2012 10:42:37 +0200
