=== debian/control ===
Source: subunit
Section: devel
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Gonéri Le Bouder <goneri@debian.org>,
           Robert Collins <robertc@robertcollins.net>
Build-Depends: autoconf (>= 2.59),
               automake,
               check,
               debhelper (>= 9),
               dh-autoreconf,
               libcppunit-dev,
               libtool,
               pkg-config,
               python-all (>= 2.6.6-3),
               python-setuptools,
               python-testscenarios,
               python-testtools (>= 0.9.35),
               python3-all,
               python3-testscenarios,
               python3-testtools (>= 0.9.35)
Build-Depends-Indep: perl
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/openstack/subunit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/subunit.git;a=summary
Homepage: http://code.launchpad.net/subunit

Package: subunit
Architecture: all
Depends: libsubunit-perl (>= ${source:Version}),
         python-subunit (>= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends}
Recommends: python-gtk2, python-junitxml
Description: command line tools for processing Subunit streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The subunit package includes the subunit command line tools:
 subunit-diff, subunit-filter subunit-stats tap2subunit subunit2pyunit
 subunit-ls subunit-tags, subunit2gtk

Package: libsubunit-perl
Architecture: all
Provides: libsubunit-diff-perl
Depends: ${misc:Depends}, ${perl:Depends}
Section: perl
Description: perl parser and diff for Subunit streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The libsubunit-perl package contains the Perl language support for Subunit.

Package: python-subunit
Architecture: all
Depends: python-testtools (>= 0.9.4), ${misc:Depends}, ${python:Depends}
Section: python
Description: unit testing protocol - Python bindings to generate and consume streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The python-subunit package includes the Python language bindings.

Package: python3-subunit
Architecture: all
Depends: python3-testtools (>= 0.9.4), ${misc:Depends}, ${python3:Depends}
Section: python
Description: unit testing protocol - Python3 bindings to generate and consume streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The python3-subunit package includes the Python version 3 language bindings.

Package: libsubunit0
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Unit testing protocol - C/C++ shared library
 subunit is a protocol for test activity reporting. This permits executing
 tests remotely, or saving the result of test runs for later introspection.
 .
 The libsubunit0 package contains the C shared library.

Package: libsubunit-dev
Section: libdevel
Architecture: any
Depends: libsubunit0 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Unit testing protocol - Development headers and static library for libsubunit
 subunit is a protocol for test activity reporting. This permits executing
 tests remotely, or saving the result of test runs for later introspection.
 .
 The libsubunit-dev package contains the C development headers,
 pkgconfig data file and a static version of the library.

Package: libcppunit-subunit0
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SubunitTestProgressListener for CPPUnit - C++ shared library
 subunit is a protocol for test activity reporting. The
 SubunitTestProgressListener permits outputting Subunit from a CPPUnit test
 suite.

Package: libcppunit-subunit-dev
Section: libdevel
Architecture: any
Depends: libcppunit-subunit0 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SubunitTestProgressListener for CPPUnit - Development headers
 subunit is a protocol for test activity reporting. The
 SubunitTestProgressListener permits outputting Subunit from  a CPPUnit test
 suite.
 .
 The libcppunit-subunit-dev package contains the C++ development headers,
 pkgconfig data file and a static version of the library.
