## subunit 1.1.0

=== debian/changelog ===
subunit (1.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:10:24 +0000

subunit (1.1.0-2) experimental; urgency=medium

  * Added support for DEB_BUILD_OPTIONS=nocheck (Closes: #797006).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Aug 2015 15:59:55 +0000

subunit (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * Re-add Jelmer Vernooij <jelmer@debian.org> in the Uploaders.
  * Ran wrap-and-sort.
  * The subunit package now also depends on the Python3 package.
  * Added python-extras as dependency.
  * Now using git tag based workflow.
  * Cleans better.
  * Removed debian/pycompat.
  * Updated debian/copyright years and copyright holders, fixed double
    defined license.
  * Standards-Version is now 3.9.6 (no change needed).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jul 2015 14:38:45 +0000
