=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 # Get the supported Python versions
 PYVERS = $(shell pyversions -vr)
 PY3VERS = $(shell py3versions -vr)
+
+include /usr/share/openstack-pkg-tools/pkgos.make
+export OSLO_PACKAGE_VERSION=$(VERSION)
+UPSTREAM_GIT=git://github.com/testing-cabal/subunit.git
 
 %:
 	dh $@ --with python2,python3,autoreconf
@@ -44,12 +48,25 @@
 		c/tests/test_child.trs \
 		perl/MYMETA.json \
 		test-suite.log
+	rm -f Makefile.in \
+		aclocal.m4 \
+		compile \
+		config.guess \
+		config.sub \
+		depcomp \
+		install-sh \
+		ltmain.sh \
+		missing \
+		py-compile
+	rm -rf m4
 
 override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	dh_auto_test || true
 	for vers in $(PYVERS) $(PY3VERS); do \
 		SHELL_SHARE='./shell/share/' PYTHONPATH=./python${PYTHONPATH:+:$PYTHONPATH} python$$vers runtests.py || true; \
 	done
+endif
 
 override_dh_auto_install-arch:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
@@ -59,10 +76,10 @@
 
 
 override_dh_auto_install-indep:
-	for vers in $(PY3VERS); do \
+	set -e ; for vers in $(PY3VERS); do \
 		python$$vers setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp; \
 	done
-	for vers in $(PYVERS); do \
+	set -e ; for vers in $(PYVERS); do \
 		python$$vers setup.py install --install-layout=deb --single-version-externally-managed --root=$(CURDIR)/debian/tmp; \
 	done
 	set -e && for i in $(CURDIR)/debian/tmp/usr/bin/* ; do \
