## subunit 1.2.0

=== debian/changelog ===
subunit (1.2.0-0ubuntu2) bionic; urgency=medium

  * d/p/py27-valueerror.patch: Cherry pick fix for ValueError during
    read of stdout under py27.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 09:17:55 +0000

subunit (1.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 16:53:45 +0000

subunit (1.1.0-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Mark -dev packages as multi-arch: same (Closes: #873614)
  * Updating standards version to 4.1.1.
  * Bump debhelper compat level to 10
  * d/copyright: Reorder
  * d/subunit.lintian-overrides: Removed, not needed
  * d/control: Change section of libs to 'libs'

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

 -- Ondřej Nový <onovy@debian.org>  Mon, 06 Nov 2017 18:33:03 +0100
