=== debian/watch ===
version=3
https://launchpad.net/subunit/+download https://launchpad.net/subunit/.*/subunit-(.*)\.tar\.gz
